export default {
  state: {
    energyHeadData: {},
    portraitModule: {},
    userData: {}
  },
  mutations: {
    setEnergyHeadData(state, energyHeadData) {
      state.energyHeadData = energyHeadData;
    },
    setPortraitModule(state, portraitModule) {
      state.portraitModule = portraitModule;
    },
    setUserData(state, userData) {
      state.userData = userData;
    }
  },
  actions: {
    setPortraitModule({ commit }, data) {
      commit('setPortraitModule', data);
    }
  }
};
